# Get Individual Merchant

The operation fetches individual merchants associated to a developer.

Endpoint: GET /api/v1/partners/individual
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)

## Response 200:

  - `200` (unknown)
    The specified partner has been fetched.

## Response 200 fields (application/json):

  - `subId` (string)
    For Individual Merchants it is merchant's subscription ID. This returns in the response only if the partner is Individual Merchant.

  - `type` (string)
    Type of the developer partner. Here type in individual merchant.
    Example: Individual Merchant

  - `archive` (boolean)
    Indicates if the record is archived.
    Example: true

  - `status` (string)
    Current status of the merchant. Status `SUSPENDED` is when partner is deleted from UI and `TERMINATED` when partner is deleted via API.
    Enum: "ACTIVE", "SUSPENDED", "TERMINATED"

  - `insertTimestamp` (string)
    Creation timestamp for this association.
    Example: 2025-10-09T14:18:17.9Z

  - `updateTimestamp` (string)
    Last update timestamp for this association.
    Example: 2025-10-09T14:18:30.142Z

  - `developerId` (string)
    Developer/partner identifier that owns this association.
    Example: sa535e3

  - `email` (string)
    Contact email for the merchant.
    Example: abcd_1@yopmail.com

  - `name` (string)
    Display name for the merchant.
    Example: Known Merchant1

  - `countryCode` (string)
    Two-letter ISO 3166-1 alpha-2 country code.
    Example: US

  - `carrierAccounts` (array)
    Carriers accounts details associated with this merchant.

  - `carrierAccounts.carrierAccountId` (string)
    Carrier account identifier.
    Example: 9RNmJJnM5x1Y

  - `carrierAccounts.carrierName` (string)
    Name of the carrier.
    Example: DHL Express

  - `carrierAccounts.carrierID` (string)
    Carrier identifier.
    Example: DHLEXP

  - `carrierAccounts.shipperId` (string)
    ShipperId  of the merchant.
    Example: 2000082819

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Custom Product not found

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

